"use strict";

var testConfig = require('../config');
var APIv1 = require('../../../src/doctor/include/endpoints').APIv1;

var should = require("should");
var server = require('supertest').agent(testConfig.host);

describe('API: Management', function () {
    describe('when require /db', function(){
        it('should return 200', function (done) {
            var path = APIv1.Management.Base + APIv1.Management.DbStatus;

            server.get(path)
                .expect(200, function (err, response) {
                    //console.log(response.body);

                    response.body.length.should.equal(2);
                    response.body[0].tables.length.should.greaterThan(5);
                    response.body[1].tables.length.should.greaterThan(5);

                    done();
                });
        });
    });
});